Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResultGame

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult
    - - it.ernytech.tdlib.TdApi.InputInlineQueryResultGame

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultGame
    extends TdApi.InputInlineQueryResult

Represents a game.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `gameShortName` Short name of the game.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.ReplyMarkup` `replyMarkup` Message reply markup.

### Constructor Summary

Constructors
`InputInlineQueryResultGame()` Default constructor.
`InputInlineQueryResultGame​(java.lang.String id, java.lang.String gameShortName, TdApi.ReplyMarkup replyMarkup)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### gameShortName

    public java.lang.String gameShortName

Short name of the game.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

Message reply markup. Must be of type replyMarkupInlineKeyboard or null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputInlineQueryResultGame

    public InputInlineQueryResultGame()

Default constructor.

#### InputInlineQueryResultGame

    public InputInlineQueryResultGame​(java.lang.String id,
                                      java.lang.String gameShortName,
                                      TdApi.ReplyMarkup replyMarkup)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `gameShortName` - Short name of the game.
  `replyMarkup` - Message reply markup. Must be of type replyMarkupInlineKeyboard or null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR